/*
 *  Copyright (c) 2014-present, Facebook, Inc.
 *  All rights reserved.
 *
 *  This source code is licensed under the BSD-style license found in the
 *  LICENSE file in the root directory of this source tree. An additional grant 
 *  of patent rights can be found in the PATENTS file in the same directory.
 *
 */

#import "CKComponentConstantDecider.h"

@implementation CKComponentConstantDecider
{
  BOOL _enabled;
}

- (instancetype)initWithEnabled:(BOOL)enabled
{
  if (self = [super init]) {
    _enabled = enabled;
  }
  return self;
}

- (id)componentCompliantModel:(id)model
{
  return _enabled ? model : nil;
}

- (NSString *)componentComplianceReason:(id)model
{
  return _enabled ? nil : @"Decider disabled by default";
}
@end
