# [![ComponentKit](http://componentkit.org/static/componentkit-hero-logo.png)](http://componentkit.org/)

[![Build Status](https://travis-ci.org/facebook/componentkit.svg)](https://travis-ci.org/facebook/componentkit)

ComponentKit is a view framework for iOS that is heavily inspired by React. It takes a functional, declarative approach to building UI. It was built to power Facebook's News Feed and is now used throughout the Facebook iOS app.

### Quick start

ComponentKit is available on [CocoaPods](http://cocoapods.org).  Add the following to your Podfile:

```ruby
pod 'ComponentKit', '~> 0.9'
```

To quickly try WildeGuess, the ComponentKit demo project:

```ruby
pod try ComponentKit
```

### Learn more

* Read the [Getting Started guide](http://www.componentkit.org/docs/getting-started.html)
* Get the [sample projects](https://github.com/facebook/componentkit/tree/master/Examples/WildeGuess)
* Read the [objc.io article](http://www.objc.io/issue-22/facebook.html) by Adam Ernst
* Watch the [@Scale talk](https://youtu.be/mLSeEoC6GjU?t=24m18s) by Ari Grant

## Contributing

See the [CONTRIBUTING](CONTRIBUTING.md) file for how to help out.

## License

ComponentKit is BSD-licensed. We also provide an additional patent grant.

The files in the /Examples directory are licensed under a separate license as specified in each file; documentation is licensed CC-BY-4.0.
